# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'query_dam/version'

Gem::Specification.new do |spec|
  spec.name          = 'query_dam'
  spec.version       = QueryDam::VERSION
  spec.authors       = ['Roman Kuznietsov']
  spec.email         = ['roman.kuznietsov@gmail.com']
  spec.summary       = %q{Detecting query result changes}
  spec.description   = %q{}
  spec.homepage      = 'https://github.com/romankuznietsov/query_dam'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_dependency 'redis', '>= 3.1.0'
  spec.add_dependency 'redis-objects', '>= 0.8.0'
  spec.add_dependency 'activerecord', '>= 4.0.0'

  spec.add_development_dependency 'bundler', '~> 1.6'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec', '~> 3.0.0'
  spec.add_development_dependency 'sqlite3'
  spec.add_development_dependency 'fakeredis'
  spec.add_development_dependency 'pry'
end
